#include <bits/stdc++.h>

using namespace std;

int main()
{
	int N;
	cin>>N;
	bool A[N];
	int a;
	
	A[0]=false;
	cin>>a;
	for(int i=1;i<N;i++)
	{	
		int b;
		cin>>b;
		if(b<a)
		{
			A[i]=true;
		}
		else
		{
			A[i]=false;
		}
		a=b;
	}
	
/*	for(int i=0;i<N;i++)
	{
		cout<<A[i]<<" ";
	}*/
	
	int k[N];
	for(int i=0;i<N;i++)
	{
		k[i]=N+1;
	}
	int t=0;
	for(int i=1;i<N;i++)
	{	
		
		if(A[i]==true)
		{	
			for(int j=t;j<i;j++)
			{
				k[j]=i;
			}	
			t=i;
		}
	}
	
	
	/*for(int i=0;i<N;i++)
	{
		cout<<k[i]<<" ";
	}
	cout<<endl;*/
	
	int Q;
	cin>>Q;
	bool R[Q];
	
	for(int i=0;i<Q;i++)
	{
		int l;
		int r;
		cin>>l>>r;
		r-=1;
		l-=1;
	//	cout<<l<<" "<<k[l]<<" "<<k[k[l]]<<" "<<r<<" ";
		if(k[l]==N+1)
		{
			R[i]=true;
		}
		
		else if(k[ k[l] ]>r)
		{
			R[i]=true;
		}
		
		else
		{
			R[i]=false;
		}
		
	
	}
	
	for(int i=0;i<Q;i++)
	{
		if(R[i]==true)
		{
			cout<<"DA"<<endl;
		}
		else
		{
			cout<<"NE"<<endl;
		}
	}
}